WsdlToDotnet.Compiler (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.dotnet.WsdlToDotnet.Compiler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.dotnet
Class WsdlToDotnet.Compiler

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.optional.dotnet.WsdlToDotnet.Compiler

Enclosing class:
  WsdlToDotnet

    public static class WsdlToDotnet.Compiler

extends EnumeratedAttribute

The enumerated values for our compiler

Field Summary
`static java.lang.String` | `COMPILER_MONO` mono
`static java.lang.String` | `COMPILER_MS` microsoft
`static java.lang.String` | `COMPILER_MS_ON_MONO` microsoft-on-mono
`static java.lang.String` | `EXE_MONO` MONO
`static java.lang.String` | `EXE_WSDL` WSDL

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`WsdlToDotnet.Compiler()`

Method Summary
`void` | `applyExtraArgs(NetCommand command)` apply any extra arguments of this class
`static WsdlToDotnet.Compiler` | `createDefaultCompiler()` Create the default compiler for this platform.
`java.lang.String` | `getCommand()` return the command to run
`java.lang.String[]` | `getExtraArgs()` return any extra arguments for the compiler
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.
`boolean` | `supportsAbsoluteFiles()` Get where the current value supports absolute files.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPILER_MS

    public static final java.lang.String COMPILER_MS

  microsoft

  See Also:
    Constant Field Values

### COMPILER_MONO

    public static final java.lang.String COMPILER_MONO

  mono

  See Also:
    Constant Field Values

### COMPILER_MS_ON_MONO

    public static final java.lang.String COMPILER_MS_ON_MONO

  microsoft-on-mono

  See Also:
    Constant Field Values

### EXE_WSDL

    public static final java.lang.String EXE_WSDL

  WSDL

  See Also:
    Constant Field Values

### EXE_MONO

    public static final java.lang.String EXE_MONO

  MONO

  See Also:
    Constant Field Values

Constructor Detail

### WsdlToDotnet.Compiler

    public WsdlToDotnet.Compiler()

Method Detail

### getValues

    public java.lang.String[] getValues()

  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

### createDefaultCompiler

    public static WsdlToDotnet.Compiler createDefaultCompiler()

  Create the default compiler for this platform.

  Returns:
    the default compiler

### getCommand

    public java.lang.String getCommand()

  return the command to run

  Returns:
    the command

### getExtraArgs

    public java.lang.String[] getExtraArgs()

  return any extra arguments for the compiler

  Returns:
    extra compiler arguments

### supportsAbsoluteFiles

    public boolean supportsAbsoluteFiles()

  Get where the current value supports absolute files.

  Returns:
    true if the compiler does supports absolute files.

### applyExtraArgs

    public void applyExtraArgs(NetCommand command)

  apply any extra arguments of this class

  Parameters:
    `command` - the command to apply the arguments to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD